# PhasicFlow: src/Integration/AdamsBashforth2/AB2Kernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

AB2Kernels.hpp File Reference
Include dependency graph for AB2Kernels.hpp:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::AB2Kernels

## Functions

bool | intAllActive (const word &name, real dt, rangeU32 activeRng, const deviceViewType1D< realx3 > &y, const deviceViewType1D< realx3 > &dy, const deviceViewType1D< realx3 > &dy1)
bool | intScattered (const word &name, real dt, const pFlagTypeDevice &activePoints, const deviceViewType1D< realx3 > &y, const deviceViewType1D< realx3 > &dy, const deviceViewType1D< realx3 > &dy1)